GBTimelapse 2

Legacy Powershot Version
 

GBTimelapse 2 (Discontinued)

GBTimelapse 2 (PowerShot compatible) has been discontinued, but is available by special request.



Canon has discontinued support for remote capture on PowerShot cameras. The most recent model supporting remote capture is the G10. Canon discontinued sales of the G10 in 2008.

The current release of GBTimelapse 3, is only compatible with EOS models. However, the older GBTimelapse 2 is compatible with many PowerShot models.

Check the table below to see if your PowerShot is compatible with GBTimelapse 2.

Supported Canon Cameras
Current Canon PowerShot ModelsCurrent Canon PowerShot models cannot perform remote capture! Canon has chosen to not enable remote capture capability in their PowerShot cameras. The last PowerShot to have this ability is the G10, released in September 2008.
Older Canon PowerShot ModelsG10, G9, G7, G6, G5, G3, G2, G1, SX 110 IS , SX 100 IS , S5 IS, S3 IS, S1 IS, S2 IS, S30, S40, S45, S50, S60, S70, S80, A20, A40, A60, A70, A75, A80, A85, A95, A200, A300, A310, A400, A510, A520, A620, A640, S110 (Digital IXUS v) S200 (Digital IXUS v2), S230 (Digital IXUS v3), S300 (Digital IXUS 300), S330 (Digital IXUS 330), S400 (Digital IXUS 400), S410 (Digital IXUS 430), S500 (Digital IXUS 500), SD100 (Digital IXUS II), SD110 (Digital IXUS IIs)

If so, you can create a support ticket and we will send you a link to the free trial.